Skip to main content
GET
/
api
/
v1
/
serving
/
secrets
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.serving.secrets.list(limit=50)

    # Handle response
    print(res)
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "keys": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

data
Secret · object[]
required
total
integer
required
next_cursor
string | null